Bug 369831 - pup fails to complete; gives dump.
pup fails to complete; gives dump.
Status: CLOSED WORKSFORME
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Devel
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Mike Orazi
Brandon Perkins
:
: 370371 370641 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-07 11:20 EST by Jean-David Beyer
Modified: 2009-08-26 09:25 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-26 09:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dump for pup problem (21.09 KB, text/plain)
2007-11-07 11:20 EST, Jean-David Beyer
no flags Details

  None (edit)
Description Jean-David Beyer 2007-11-07 11:20:35 EST
Description of problem: pup fails to operate properly


Version-Release number of selected component (if applicable): pirut-1.2.10-1.el5


How reproducible: Seems repeatable. tried three times in a row.


Steps to Reproduce:
1. Wait for pup icon to appear on panel: says 2 updates available.
2.Click on that, enter root password at the prompt.
3. It starts to download and then gives a dump.
  
Actual results: as shown in attachment.


Expected results: update two items.


Additional info:
Comment 1 Jean-David Beyer 2007-11-07 11:20:35 EST
Created attachment 250341 [details]
Dump for pup problem
Comment 2 Ryan Finnin Day 2007-11-07 16:03:29 EST
I have this same problem in my RHEL5 desktop.  The dump from pup is nearly
identical except for the line number it fails at:

Summary: TB9536d0ca <string>:64:__iter__:SyntaxError: not well-formed (invalid
token): line 21895, column 66
Comment 3 Jeremy Katz 2007-11-07 16:39:39 EST
This is broken metadata being given out by RHN
Comment 4 Jeremy Katz 2007-11-07 16:40:37 EST
*** Bug 370371 has been marked as a duplicate of this bug. ***
Comment 5 Jeremy Katz 2007-11-07 23:16:55 EST
*** Bug 370641 has been marked as a duplicate of this bug. ***
Comment 6 Dennis Gregorovic 2007-11-08 09:31:40 EST
A workaround has been put in place.  The advisories with characters causing
broken metadata (<, >, &) have been repushed with those characters escaped. 
Please confirm if this fixes the problem for you.  Thanks.
Comment 7 Ryan Finnin Day 2007-11-08 12:16:34 EST
pup runs successfully for me now.
Comment 8 Jean-David Beyer 2007-11-08 13:51:52 EST
It gets further now. It lists the packages it wishes to update. Many packages,
although the icon on the panel says there are two packages.

But when I press the "Apply Updates" button, it took so long to do anything I
almost terminated it as being stuck (several minutes). Now it seems to be
downloading, but at no where near the maximum rate of my high speed internet
connection. With lots of gaps. Yet the Internet seems ok. Here are my speed test
results from here in New Jersey to Washington, DC.

Download Speed: 19760 kbps (2470 KB/sec transfer rate)
Upload Speed: 4365 kbps (545.6 KB/sec transfer rate)

And to Atlanta, GA.

Download Speed: 18455 kbps (2306.9 KB/sec transfer rate)
Upload Speed: 4182 kbps (522.8 KB/sec transfer rate)

So the server must be running very slowly, or be overloaded. It is now about
1:35PM EST.

I finally got the following error:

[('file /usr/sbin/sysreport conflicts between attempted installs of
sysreport-1.4.3-13.el5 and sos-1.7-9.1.el5', (6, '/usr/sbin/sysreport', 0L)),
('file /usr/share/sysreport/functions conflicts between attempted installs of
sysreport-1.4.3-13.el5 and sos-1.7-9.1.el5', (6,
'/usr/share/sysreport/functions', 0L))]
Comment 9 Dennis Gregorovic 2007-11-08 14:35:34 EST
Regarding the sos/sysreport conflict... are you running client or server?  Which
architecture are you on?  Finally, what do you get from "rpm -q sos sysreport
yum"?  Thanks
Comment 10 James Laska 2007-11-08 14:48:36 EST
jeandavid8: in addition to the feedback requested in comment#9, can you also
provide the output from:

$ echo "repo list" | yum shell

Thanks!
Comment 11 Jean-David Beyer 2007-11-08 15:01:05 EST
$ rpm -q sos sysreport
sos-1.3-1.el5
sysreport-1.4.3-10.el5

$ echo "repo list" | yum shell
Loading "rhnplugin" plugin
Loading "installonlyn" plugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Yum Shell
> repo id              repo name                                 status
pidgin               Pidgin for RHEL/CentOS 5Server - i386     enabled
pidgin-debuginfo     Pidgin for RHEL/CentOS 5Server - i386 -   disabled
pidgin-source        Pidgin for RHEL/CentOS 5Server - i386 -   disabled
rhel-debuginfo       Red Hat Enterprise Linux 5Server - i386   disabled
> Leaving Shell

I am not sure what that is about, since I do not run CentOS 5 on any machine. On
my other machine, I run CentOS 4, but not Pidgin.
This system is registered with RHN. I normally get updates automatically
installed (usually overnight). I can log into RHN whenever I like. This page

https://rhn.redhat.com/rhn/YourRhn.do

says, among other things,

No inactive systems.

All of your systems are actively checking into RHN at this time. You can view a
list of all of your systems at Systems > All.

I have received a bunch of updates, including this one:

https://rhn.redhat.com/network/systems/details/history/event.pxt?sid=1007655001&hid=148649097

which states

This action will be executed after 2007-11-08 08:47:24 EST.

This action's status is: Failed.
The client picked up this action on 2007-11-08 11:54:17 EST.
The client completed this action on 2007-11-08 11:55:03 EST.
Client execution returned "Fatal error in Python code occured [[6]]" (code -1)
Errata Affected:

    * RHSA-2007:1027-6 (Important: tetex security update)


I am running Server RHEL5 from Red Hat on this machine. It has dual Intel Xeon
3.06 GHz Hyperthreaded processors, 8 GBytes RAM, 6 10,000 rpm Ultra/320 LVD SCSI
hard drives.
Comment 12 Jean-David Beyer 2007-11-08 15:04:37 EST
In case this helps, ...

Kernel:  	 2.6.18-8.1.15.el5PAE
RHN System ID: 	1007655001
Comment 13 Dennis Gregorovic 2007-11-08 15:12:33 EST
Thank you for the quick response and all of the information.  A couple more
queries please:

$ yum list | egrep '(sos|sysreport)'
$ rpm -q redhat-release
Comment 14 Jean-David Beyer 2007-11-08 15:24:13 EST
$ yum list | egrep '(sos|sysreport)'
This system is not registered with RHN.
RHN support will be disabled.
Error: Cannot access repository dir //var/cache/yum/pidgin/headers

Tried over as root:
trillian:root[/var/cache/yum/pidgin]#  yum list | egrep '(sos|sysreport)'
sos.noarch                               1.3-1.el5              installed       
sysreport.noarch                         1.4.3-10.el5           installed       
sos.noarch                               1.7-9.1.el5            rhel-i386-server
sysreport.noarch                         1.4.3-13.el5           rhel-i386-server

$ rpm -q redhat-release
redhat-release-5Server-5.0.0.9

Comment 15 Jean-David Beyer 2007-11-08 15:29:52 EST
$ yum list | egrep '(sos|sysreport)'
This system is not registered with RHN.
RHN support will be disabled.
Error: Cannot access repository dir //var/cache/yum/pidgin/headers

Tried over as root:
trillian:root[/var/cache/yum/pidgin]#  yum list | egrep '(sos|sysreport)'
sos.noarch                               1.3-1.el5              installed       
sysreport.noarch                         1.4.3-10.el5           installed       
sos.noarch                               1.7-9.1.el5            rhel-i386-server
sysreport.noarch                         1.4.3-13.el5           rhel-i386-server

$ rpm -q redhat-release
redhat-release-5Server-5.0.0.9
Comment 16 Dennis Gregorovic 2007-11-08 15:45:47 EST
I am unable to reproduce the issue.  At this point, your best bet is to follow
up with support.  They will be better suited to help track down the cause of the
problem.  Please login at www.redhat.com/support and you will find the options
for engaging Red Hat support.  Thank you.
Comment 17 Denise Hughes 2009-08-26 09:25:03 EDT
Closing bug since it cannot be reproduced.

Note You need to log in before you can comment on or make changes to this bug.